## taggrepper 0.04

=== debian/changelog ===
taggrepper (0.04-2) unstable; urgency=low

  * Upload to instable

 -- Kumar Appaiah <akumar@debian.org>  Sat, 11 May 2013 23:33:22 -0400

taggrepper (0.04-1) experimental; urgency=low

  * New upstream release
  * Standards version is now 3.9.3 (no changes needed)
  * Update copyright file
  * Switch to dpkg-source 3.0 (quilt) format
  * Fix debian/rules:
    + Improve file cleaning
    + Hardening now enabled

 -- Kumar Appaiah <akumar@debian.org>  Thu, 09 Aug 2012 23:03:29 -0500

taggrepper (0.03.1-3) unstable; urgency=low

  * debian/control, debian/rules: No longer use debhelper.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Dec 2009 19:11:25 -0600

taggrepper (0.03.1-2) unstable; urgency=low

  * Build-Depend on libmagic-dev for magic file detection support.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 01 Oct 2009 18:23:49 -0500

taggrepper (0.03.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace media with audio.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 30 Sep 2009 06:45:42 -0500

taggrepper (0.03-1) unstable; urgency=low

  * Initial release. (Closes: #546270)

 -- Kumar Appaiah <akumar@debian.org>  Fri, 11 Sep 2009 23:55:16 -0500
