## taggrepper 0.05

=== debian/changelog ===
taggrepper (0.05-3) unstable; urgency=medium

  * Add Valerie Young's patch to fix directory permissions.
    (Closes: #846878)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 04 Dec 2016 10:51:34 +0530

taggrepper (0.05-2) unstable; urgency=medium

  [ Maria Valentina Marin ]
  * Fix mtimes before building binary packages to produce reproducible
    output. (Closes: #777725, #793726)

  [ Kumar Appaiah ]
  * Update standards version to 3.9.8 (no changes needed)
  * Update project homepage

 -- Kumar Appaiah <akumar@debian.org>  Mon, 15 Aug 2016 18:54:39 +0530

taggrepper (0.05-1) unstable; urgency=low

  * Update autoconf files
  * Fix FLAC include directory in files.c (Closes: #713772)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 23 Jun 2013 09:48:48 -0400
