=== debian/control ===
Source: taggrepper
Section: sound
Priority: optional
Maintainer: Kumar Appaiah <akumar@debian.org>
Build-Depends: libpcre3-dev, libflac-dev, libid3tag0-dev, libvorbis-dev, pkg-config, libmagic-dev
Standards-Version: 3.9.8
Homepage: https://github.com/kumanna/taggrepper

Package: taggrepper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: search and match tags of audio files against regular expressions
 taggrepper is a small tool written to "grep" tags of audio
 files. Currently, it can be used to match some or any tags of MP3,
 Ogg Vorbis and FLAC files, against specified regular expressions, and
 display the name and designated fields of the matching files. It
 supports recursive directory searches as well.
