## taggrepper 0.10

=== debian/changelog ===
taggrepper (0.10-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:15 +1100

taggrepper (0.10-2build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 15:00:59 +0000

taggrepper (0.10-2) unstable; urgency=medium

  * Update debian packaging: remove source epoch

 -- Kumar Appaiah <akumar@debian.org>  Mon, 03 Jul 2023 14:03:16 +0530

taggrepper (0.10-1) unstable; urgency=medium

  * New upstream release
  * Rework for use with PCRE2 (Closes: #999945)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 03 Jul 2023 13:52:07 +0530

taggrepper (0.05-5) unstable; urgency=medium

  * Update source URI in copyright
  * Update standards version to 4.4.0 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 05 Sep 2019 07:23:04 +0530

taggrepper (0.05-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the strip from dpkg's buildtools.mk. (Closes: #928247)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 24 Aug 2019 10:54:53 +0530
