=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: taggrepper
 Section: sound
 Priority: optional
-Maintainer: Kumar Appaiah <akumar@debian.org>
-Build-Depends: libpcre3-dev, libflac-dev, libid3tag0-dev, libvorbis-dev, pkg-config, libmagic-dev
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kumar Appaiah <akumar@debian.org>
+Build-Depends: libpcre2-dev, libflac-dev, libid3tag0-dev, libvorbis-dev, pkg-config, libmagic-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/kumanna/taggrepper
 
 Package: taggrepper
