=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 # %:
 # 	dh $@
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
+include /usr/share/dpkg/architecture.mk
+-include /usr/share/dpkg/buildtools.mk
+include /usr/share/dpkg/default.mk
+STRIP ?= strip
 
 # Package name
 PACKAGE_NAME = taggrepper
@@ -83,7 +83,7 @@
 binary-arch: checkroot build install
 	$(checkdir)
 	$(INSTALL_DIR) $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/
-	$(INSTALL_FILE) -m 644 README $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/
+	$(INSTALL_FILE) -m 644 README.md $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/
 	$(INSTALL_FILE) -m 644 ChangeLog $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/changelog
 	$(INSTALL_FILE) -m 644 debian/changelog $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/changelog.Debian
 	for i in $(PACKAGE_DIR)/usr/share/doc/$(PACKAGE_NAME)/changelog*;do \
@@ -95,7 +95,7 @@
 	gzip -9nv $(PACKAGE_DIR)/usr/share/man/*/*
 # Strip binaries
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R.note -R.comment $(PACKAGE_DIR)/usr/bin/*
+	$(STRIP) -R.note -R.comment $(PACKAGE_DIR)/usr/bin/*
 endif
 	dpkg-shlibdeps $(PACKAGE_DIR)/usr/bin/taggrepper
 	$(INSTALL_DIR) $(PACKAGE_DIR)/DEBIAN
